body,
img,
button,
p,
h1 {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
}

.container {
  width: auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  padding: 0;
  background: linear-gradient(to bottom right, #00344c, #62259b);
}

h1 {
  padding: 5px;
  text-align: center;
  font-size: 2rem;
  color: whitesmoke;
}

button {
  position: absolute;
  bottom: 30px;
  right: 30px;
  background: transparent;
  padding: 10px;
  padding-bottom: 5px; /* palier le padding de l'img */
  border-radius: 50%;
  background-color: whitesmoke;
  border: none;
  transition: all ease-in-out 0.3s;
}

button:hover {
  background-color: rgb(219, 219, 219);
}

button img {
  opacity: 0.9;
  max-width: 25px;
  max-height: 25px;
}

@supports (-webkit-touch-callout: none) {
  body {
    /* The hack for Safari */
    min-height: -webkit-fill-available;
  }
}
